Hooks:PostHook( WeaponTweakData, "init", "TrenchGunModInit", function(self)

	self.trench_crew = deep_clone(self.r870_crew)
	self.trench_crew.sounds.prefix = "boot_npc"
	if not BeardLib.Utils:FindMod("RestorationMod") then
		self.trench_crew.DAMAGE = 10
		self.trench_crew.NR_CLIPS_MAX = 5
	end

	self:SetupAttachmentPoint( "trench", {
		name = "a_b",
		base_a_obj = "a_b",
		position = Vector3( 0, 5.85, 0 ),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "trench", {
		name = "a_b_long",
		base_a_obj = "a_b",
		position = Vector3( 0, 19.35, 0 ),
		rotation = RotationCAP(0, 0, 0)
	})
	
	self:SetupAttachmentPoint( "trench", {
		name = "a_hammer",
		base_a_obj = "a_body",
		position = Vector3( 0, -10.5, -4.5 ),
		rotation = RotationCAP(0, 0, 0)
	})
	
	self:SetupAttachmentPoint( "trench", {
		name = "a_o",
		base_a_obj = "a_o",
		position = Vector3( 0, 2, -2 ),
		rotation = RotationCAP(0, 0, 0)
	})
	
	self:SetupAttachmentPoint( "trench", {
		name = "a_rack_trench",
		base_a_obj = "a_body",
		position = Vector3( -0.25, 0, 0 ),
		rotation = RotationCAP(0, 0, 0)
	})
	
	self:SetupAttachmentPoint( "trench", {
		name = "a_s_trench",
		base_a_obj = "a_s",
		position = Vector3( 0, 20, -1 ),
		rotation = RotationCAP(0, 0, 0)
	})


end )